### Method

# EDataServer SourceMailSignature set_mime_type

since: 3.6

#### Declaration [src]

    void
    e_source_mail_signature_set_mime_type (
      ESourceMailSignature* extension,
      const gchar* mime_type
    )

#### Description [src]

Sets the MIME type of the signature content for `extension`.

`e_source_mail_signature_load()` sets this automatically if the MIME type has not yet been determined.

The internal copy of `mime_type` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceMailSignature:mime-type`

#### Parameters

`mime_type`

  Type: `const gchar*`

  A MIME type, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.